FFS(3)

NAME
ffs, ffsl, ffsll - find first bit set in a bit string

SYNOPSIS
#include <strings.h>
int
ffs(int value);
int
ffsl(long value);
int
ffsll(long long value);

DESCRIPTION
The ffs(), ffsl() and ffsll() functions find the first bit set in value and returns the index of that bit. Bits are numbered starting from 1, starting at the rightmost bit. A return value of 0 means that the argument was zero.

SEE ALSO
bit_ffs(3)

STANDARDS
The ffs() function conforms to p1003.1-2008. The ffsl() and ffsll() functions conform to p1003.1-2024.

HISTORY
The ffs() function first appeared in 4.2BSD. The ffsl() and ffsll() functions first appeared in OpenBSD 7.9.